Main Page Widgets glibmm Namespaces Book

# fileutils.h File Reference

## Namespaces
namespace | Glib
## Classes
class | Glib::FileError
| Exception class for file-related errors. More...
class | Glib::DirIterator
| The iterator type of Glib::Dir. More...
class | Glib::Dir
| Utility class representing an open directory. More...
## Enumerations
enum | Glib::FileTest { Glib::FILE_TEST_IS_REGULAR = 1 << 0, Glib::FILE_TEST_IS_SYMLINK = 1 << 1, Glib::FILE_TEST_IS_DIR = 1 << 2, Glib::FILE_TEST_IS_EXECUTABLE = 1 << 3, Glib::FILE_TEST_EXISTS = 1 << 4 }
| Bitwise operators: `FileTest operator|(FileTest, FileTest)` `FileTest operator&(FileTest, FileTest)` `FileTest operator^(FileTest, FileTest)` `FileTest operator~(FileTest)` `FileTest& operator|=(FileTest&, FileTest)` `FileTest& operator&=(FileTest&, FileTest)` `FileTest& operator^=(FileTest&, FileTest)` More...
## Functions
FileTest | Glib::operator| (FileTest lhs, FileTest rhs)
FileTest | Glib::operator& (FileTest lhs, FileTest rhs)
FileTest | Glib::operator^ (FileTest lhs, FileTest rhs)
FileTest | Glib::operator~ (FileTest flags)
FileTest& | Glib::operator|= (FileTest& lhs, FileTest rhs)
FileTest& | Glib::operator&= (FileTest& lhs, FileTest rhs)
FileTest& | Glib::operator^= (FileTest& lhs, FileTest rhs)
bool | Glib::file_test (const std::string& filename, FileTest test)
| Returns `true` if any of the tests in the bitfield test are true.
int | Glib::mkstemp (std::string& filename_template)
| Opens a temporary file.
int | Glib::file_open_tmp (std::string& name_used, const std::string& prefix)
| Opens a file for writing in the preferred directory for temporary files (as returned by Glib::get_tmp_dir()).
int | Glib::file_open_tmp (std::string& name_used)
| Opens a file for writing in the preferred directory for temporary files (as returned by Glib::get_tmp_dir()).
std::string | Glib::file_get_contents (const std::string& filename)
| Reads an entire file into a string, with good error checking.